Get products (offers) in a collection
curl --request GET \
--url https://storefront-api.fourthwall.com/v1/collections/{slug}/productsimport requests
url = "https://storefront-api.fourthwall.com/v1/collections/{slug}/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://storefront-api.fourthwall.com/v1/collections/{slug}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"state": {
"type": "<string>"
},
"access": {
"type": "<string>"
},
"images": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
}
],
"variants": [
{
"id": "<string>",
"name": "<string>",
"sku": "<string>",
"unitPrice": {
"value": 10,
"currency": "USD"
},
"attributes": {
"description": "Black, L",
"color": {
"name": "Black",
"swatch": "#000000"
},
"size": {
"name": "L"
}
},
"stock": {
"type": "<string>",
"inStock": 5
},
"weight": {
"value": 1,
"unit": "kg"
},
"dimensions": {
"length": 1,
"width": 2,
"height": 3,
"unit": "cm"
},
"images": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
}
],
"compareAtPrice": {
"value": 10,
"currency": "USD"
}
}
],
"createdAt": "2020-08-13T09:05:36.939Z",
"updatedAt": "2020-08-13T09:05:36.939Z",
"additionalInformation": [
{
"title": "<string>",
"bodyHtml": "<string>"
}
],
"sizeGuide": {
"fitGuideUrls": [
"<string>"
],
"previewUrl": "<string>",
"fileUrl": "<string>",
"description": "<string>",
"fitGuideDescription": "<string>"
}
}
],
"paging": {
"pageNumber": 123,
"pageSize": 123,
"elementsSize": 123,
"elementsTotal": 123,
"totalPages": 123,
"hasNextPage": true
}
}Collections
Get Collection Products
Returns all products in the collection
GET
/
v1
/
collections
/
{slug}
/
products
Get products (offers) in a collection
Path Parameters
Query Parameters
Example:
"ptkn_xxxxxxxxxxxxxxxxxx"
Available options:
USD, EUR, CAD, GBP, AUD, NZD, SEK, NOK, DKK, PLN, INR, JPY, MYR, SGD, MXN, BRL, CHF ⌘I